Capsule API Example

Loading...
Searching...
No Matches
Public Member Functions | List of all members
capsule::client::ClassificationCardio Class Referencefinal

`#include <ClassificationCardio.hpp>`

Inherits capsule::client::Classification.

## Public Member Functions
| ClassificationCardio (Device &owner) noexcept
void | SetOnIndexesUpdateEvent (std::function< void(ClassificationCardio &, const cardio::CardioData &)> &&callback)
void | SetOnMetricsUpdateEvent (std::function< void(ClassificationCardio &, const cardio::CardioMetrics &)> &&callback)
void | SetOnCalibratedEvent (std::function< void(ClassificationCardio &)> &&callback)
void | SetOnPPGDataEvent (std::function< void(ClassificationCardio &, cardio::PPGTimedData &&)> &&callback)
Public Member Functions inherited from capsule::client::Classification
bool | IsValid () const noexcept
| Classification (const Classification &)=delete
Classification & | operator= (const Classification &)=delete
| Classification (Classification &&rhs) noexcept
Classification & | operator= (Classification &&rhs) noexcept

## Additional Inherited Members
Public Types inherited from capsule::client::Classification
enum class | ClassifierType : uint8_t { Cardio = 0 , Emotions = 1 , NFB = 1 << 1 , MEMS = 1 << 2 , Physiological = 1 << 4 , Productivity = 1 << 5 }
Protected Member Functions inherited from capsule::client::Classification
| Classification (std::unique_ptr< ClassificationPrivate > &&pimpl)
virtual | ~Classification ()
void | CheckValid () const
template<typename T >
T * | castImpl ()
template<typename T >
const T * | castImpl () const
Protected Attributes inherited from capsule::client::Classification
ClassificationPrivate * | m_pimpl

## Constructor & Destructor Documentation

## ◆ ClassificationCardio()

capsule::client::ClassificationCardio::ClassificationCardio | ( | Device & | owner | ) |
| explicit noexcept

## Member Function Documentation

## ◆ SetOnCalibratedEvent()

void capsule::client::ClassificationCardio::SetOnCalibratedEvent | ( | std::function< void(ClassificationCardio &)> && | callback | ) |

## ◆ SetOnIndexesUpdateEvent()

void capsule::client::ClassificationCardio::SetOnIndexesUpdateEvent | ( | std::function< void(ClassificationCardio &, const cardio::CardioData &)> && | callback | ) |

## ◆ SetOnMetricsUpdateEvent()

void capsule::client::ClassificationCardio::SetOnMetricsUpdateEvent | ( | std::function< void(ClassificationCardio &, const cardio::CardioMetrics &)> && | callback | ) |

## ◆ SetOnPPGDataEvent()

void capsule::client::ClassificationCardio::SetOnPPGDataEvent | ( | std::function< void(ClassificationCardio &, cardio::PPGTimedData &&)> && | callback | ) |

The documentation for this class was generated from the following file:

- C:/builds/bci/capsule/CapsuleClient/Include/ClassificationCardio.hpp